%define		qtver	5.9.0
Summary:	Browser aiming to recreate classic Opera (12.x) UI using Qt5
Summary(pl.UTF-8):	Przeglądarka, której celem jest odtworzenie klasycznego interfejsu Opery (12.x) przy użyciu Qt5
Name:		otter-browser
Version:	1.0.01
Release:	3
License:	GPL v3
Group:		X11/Applications/Networking
Source0:	https://github.com/OtterBrowser/otter-browser/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	99601d0b230956dc542a04f0df912626
Patch0:		%{name}-hunspell-1.7.patch
URL:		http://otter-browser.org/
BuildRequires:	Qt5Concurrent-devel >= %{qtver}
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Multimedia-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5PrintSupport-devel >= %{qtver}
BuildRequires:	Qt5Script-devel >= %{qtver}
BuildRequires:	Qt5Sql-devel >= %{qtver}
BuildRequires:	Qt5WebEngine-devel >= %{qtver}
BuildRequires:	Qt5WebKit-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5XmlPatterns-devel >= %{qtver}
BuildRequires:	cmake >= 2.6.2
BuildRequires:	hunspell-devel >= 1.5.0
BuildRequires:	kf5-sonnet-devel
BuildRequires:	libstdc++-devel
BuildRequires:	qt5-build
BuildRequires:	qt5-qmake >= 4.7.0
BuildRequires:	rpmbuild(find_lang) >= 1.37
BuildRequires:	tar >= 1:1.22
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Otter Browser aims to recreate the best aspects of the classic Opera
(12.x) UI using Qt5.

%description -l pl.UTF-8
Otter Browser to przeglądarka, której celem jest odtworzenie
najlepszych aspektów klasycznego interfejsu użytkownika Opery (12.x)
przy użyciu Qt5.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/otter-browser
%{_mandir}/man1/otter-browser.1*
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/locale
%changelog
* Tue Jun 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/otter-browser.git;a=log;h=master

* Tue Jun 25 2019 Jan Palus <atler@pld-linux.org> fdbf5f1
- rel 3

* Tue Jun 25 2019 Jan Palus <atler@pld-linux.org> facc613
- regenerate icon cache

* Tue Jun 25 2019 Jan Palus <atler@pld-linux.org> ddb4332
- fix build with hunspell 1.7

* Tue Jun 25 2019 Jan Palus <atler@pld-linux.org> ec568ad
- enable webengine backend

* Wed Apr 24 2019 Jakub Bogusz <qboosh@pld-linux.org> f04f08e
- pl, release 2 (rebuild with hunspell 1.7)

* Sat Jan 05 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 9203755
- updated to 1.0.01

* Fri Apr 21 2017 Jan Rękorajski <baggins@pld-linux.org> b6c4cf3
- rebuild with hunspell 1.6
- release 2 (by relup.sh)

* Mon Oct 03 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 4f7330f
- updated to 0.9.11
- findhunspell-1.4.patch applied upstream

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> 8443abb
- fix hunspell 1.4 detection
- rel 2

* Mon May 02 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 4ea449f
- updated to 0.9.10
- BR hunspell-devel

* Sat Jan 02 2016 Witold Filipczyk <witekfl@poczta.onet.pl> f021c6f
- updated to 0.9.09
- BR kf5-sonnet-devel

* Tue Dec 01 2015 Witold Filipczyk <witekfl@poczta.onet.pl> b34369e
- updated to 0.9.08
- BR Qt5XmlPatterns-devel

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> 7ac7f83
- use qtver macro, use find-lang

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> edb170c
- update/cleanup BR

* Wed Sep 02 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 28e86e8
- updated to 0.9.07

* Wed Jun 03 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 7801608
- updated to 0.9.06

* Thu Apr 02 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 297c630
- updated to 0.9.05

* Wed Dec 31 2014 Jan Palus <atler@pld-linux.org> 09eb360
- up to 0.9.03
- added more qt5 BRs based on includes

* Mon Aug 18 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0d24a93
- up to 0.9.02
- packaged translations

* Mon Jun 02 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 34d99a1
- new

